for i in ipairs (colors) do
	local name = colors[i][1]

if name == "" then name = "white" end

register_decoration({
		name = name .. " data tree",
		deco_type = "schematic",
		place_on = { mymodname .. name .. "_data" },
		sidelen = 16,
		fill_ratio = 0.001,
		--biomes = name .. "land",
		y_max = 31000,
		y_min = 0,
		schematic = minetest.get_modpath(modname) .. "/schematics/" .. name .. "_data_tree.mts",
		flags = "place_center_x, place_center_z",
		rotation = "random",
	})

	register_decoration({
		name = name .. " grass",
		deco_type = "simple",
		place_on = { mymodname .. name .. "_data" },
		sidelen = 16,
		fill_ratio = 0.005,
		y_max = 31000,
		y_min = 0,
		decoration = mymodname .. name .. "_grass",
	})

end